Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	logical volume management tools
Name:      	lvm2
Version:  	2.02.33
Release:   	1
Provides:	lvm2
License: 	GNU/GPL
URL:		http://sources.redhat.com/lvm2/
Group:     	System/Configuration/Hardware
Source0: 	LVM2.%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	device-mapper-devel
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n LVM2.%{version}


%build
export LDFLAGS="-L/usr/lib"
./configure --enable-readline \
            --enable-lvm1_fallback \
            --with-cluster=internal \
            --with-pool=internal \
            --with-staticdir=/sbin \
            --with-user= \
            --with-group= 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install_cluster DESTDIR=%{buildroot}
#ln -s lvm.static %{buildroot}/sbin/lvm
#ln -s lvm.static %{buildroot}/sbin/pvscan
#ln -s lvm.static %{buildroot}/sbin/vgchange
#ln -s lvm.static %{buildroot}/sbin/vgscan
install -m 0700 -d %{buildroot}/etc/lvm/archive
install -m 0700 -d %{buildroot}/etc/lvm/backup
install -m 0700 -d %{buildroot}/var/lock/lvm
install -m 0600 /dev/null %{buildroot}/etc/lvm/.cache
mkdir -p -m755 %{buildroot}/etc/rc.d/init.d/
mkdir -p -m755 %{buildroot}/usr/sbin
install scripts/clvmd_init_rhel4 %{buildroot}/etc/rc.d/init.d/clvmd
install -m 0755 scripts/lvmconf.sh %{buildroot}/usr/sbin/lvmconf

%files
%defattr(-,root,root)
%_sysconfdir
%_mandir
/sbin
%_sbindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.02.33-1
- Version update
* Fri Oct 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.02.28-1
- Initial Release
